New To Mac-Forums?

Welcome to our community! Join the discussion today by registering your FREE account. If you have any problems with the registration process, please contact us!

Get your questions answered by community gurus Advice and insight from world-class Apple enthusiasts Exclusive access to members-only contests, giveaways and deals

Join today!

 
Start a Discussion
 

Mac-Forums Brief

Subscribe to Mac-Forums Brief to receive special offers from Mac-Forums partners and sponsors

Join the conversation RSS
OS X - Apps and Games Discussion of applications and games available for Mac OS X.

Gimp startup problems


Post Reply New Thread Subscribe

 
Thread Tools
danielb
Guest
 
Posts: n/a

I've looked on the web to no avail. I was hoping for some insight into a problem with gimp and X11. I recently upgraded from 10.4 to 10.5 and have broke my gimp installation. I get the following message when I try to start gimp:

dyld: Library not loaded: /usr/X11/lib/libXrandr.2.dylib
Referenced from: /tmp/skl/Gimp.app/Contents/Resources/lib/libgtk-x11-2.0.0.dylib
Reason: Incompatible library version: libgtk-x11-2.0.0.dylib requires version 4.0.0 or later, but libXrandr.2.dylib provides version 3.0.0
/tmp/skl/Gimp.app/Contents/Resources/bin/gimp: line 7: 572 Trace/BPT trap dbus-launch gimp-2.4 "$@"

It looks like I need a newer version of libXrandr.2.dylib. I have looked online but cannot determine how that is accomplished.

Any help would be greatly appreciated.
Daniel

PS. I have the latest X11 and have run all software updates. It is on an Intel based MBP.
QUOTE Thanks
voiceofra

 
voiceofra's Avatar
 
Member Since: Mar 02, 2007
Location: St Helens, OR, USA
Posts: 250
voiceofra has a spectacular aura about
Mac Specs: MacBook CoreDuo 2Ghz 768M RAM

voiceofra is offline
Just download the appropriate Gimp build from Wilbur-loves-apple
QUOTE Thanks
danielb
Guest
 
Posts: n/a

I did that. I guess I should have told you that gimp is at version 2.4.5 and X11 is at version 2.1.1.
QUOTE Thanks
AlyciaAnimation

 
Member Since: Mar 04, 2008
Posts: 477
AlyciaAnimation has a spectacular aura about

AlyciaAnimation is offline
did you reinstall (or install) the 10.5.2 combo-update for leopard?

http://darwingimp.sourceforge.net/download.html
QUOTE Thanks
nsoboeman

 
Member Since: Apr 02, 2008
Posts: 1
nsoboeman is on a distinguished road

nsoboeman is offline
I tried that, but when I opened the installer package, it said, "This system does not need this update." I couldn't click continue or next or anything, except cancel. Although, I did do the Software Update version before. Please help. In the mean time, I'm downloading the Tiger version of Gimp to see if that gets me anywhere.
QUOTE Thanks

Post Reply New Thread Subscribe


« Crossover on mac problem, help please! | iTunes and iPhoto for a Switcher »
Thread Tools

Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off
Forum Jump

Similar Threads
Thread
Thread Starter
Forum
Replies
Last Post
Startup Problems - G5 Concern Apple Desktops 5 11-17-2007 08:56 PM
GIMP and Leopard... problems? bigmof OS X - Operating System 2 10-30-2007 06:54 PM
GIMP Brush problems bigmof Images, Graphic Design, and Digital Photography 1 09-26-2007 01:28 PM
iMac G5 Startup Problems Zedaine Apple Desktops 3 02-16-2006 01:44 AM
SERIOUS startup problems Makendri OS X - Operating System 2 12-14-2005 11:12 AM

All times are GMT -4. The time now is 09:17 AM.

Powered by vBulletin
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
X

Welcome to Mac-Forums.com

Create your username to jump into the discussion!

New members like you have made this community the ultimate source for your Mac since 2003!


(4 digit year)

Already a member?